﻿#language: ru

Функционал: 12_oper_planning. Заполнение справочника Виды номенклатуры, простой и с характеристиками

Сценарий: 12_oper_planning. Создание вида Сыр с характеристиками
	Дано Я подключаюсь под "Администратор"
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Сыр"
	И я устанавливаю флаг 'Характеристики:'
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	И Я выбираю кг в первый раз
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я устанавливаю флаг 'Упаковки'
	И я меняю значение переключателя 'ИспользованиеУпаковокИндивидуальныйНабор' на 'Индивидуальный набор'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Производство'
	И я нажимаю на кнопку 'Записать'
	И я перехожу к закладке "Шаблоны"
	И я нажимаю на кнопку 'Изменить...'
	Тогда открылось окно 'Редактирование формулы'
	И в поле 'Формула' я ввожу текст 'Строка(Формат([ДатаВыпуска], "ДФ=dd.MM.yyyy" + "/" + [Номер]))   '
	И я нажимаю на кнопку 'Сохранить и закрыть'
	И я нажимаю на кнопку 'Записать'
	И я перехожу к закладке "Основное"
	И у поля "Список (0)" я нажимаю гиперссылку 'Список (0)'
	Тогда открылось окно 'Характеристики номенклатуры (oper_planning_Сыр)'
	И Я создаю характеристику "Варка"
	И Я создаю характеристику "На созревании"
	И Я создаю характеристику "Созревший"
	И Я создаю характеристику "Недопресс"
	И Я создаю характеристику "Брак"
	И Я закрываю окно 'Характеристики номенклатуры (oper_planning_Сыр)'
	Тогда открылось окно 'oper_planning_Сыр (Вид номенклатуры)'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 12_oper_planning. Создание вида Смеси	
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Смеси"
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'кг' 			 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Производство'
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 12_oper_planning. Создание вида Молочное сырье
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Молочное сырье"
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'кг' 			 |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И из выпадающего списка "Тип" я выбираю точное значение 'Сырье и материалы'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 12_oper_planning. Создание вида Упаковка для сыра
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Упаковка для сыра"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда открылось окно 'Классификатор единиц измерения'
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Выбран' | 'Код числовой' | 'Наименование' | 'Национальное' |
		| 'Нет'    | '778'          | 'Упаковка'     | 'упак'         |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	И я нажимаю на кнопку 'Подобрать из классификатора'
	Тогда открылось окно 'Классификатор единиц измерения'
	И в таблице "ДеревоКлассификатора" я перехожу к строке:
		| 'Выбран' | 'Код числовой' | 'Международное' | 'Наименование' | 'Национальное' |
		| 'Нет'    | '796'          | 'pc\n1'         | 'Штука'        | 'шт'           |
	И в таблице "ДеревоКлассификатора" я устанавливаю флаг 'Выбран'
	И в таблице "ДеревоКлассификатора" я завершаю редактирование строки
	И я нажимаю на кнопку 'ОК'
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип" я выбираю точное значение 'Пакет'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И я перехожу к закладке "Шаблоны"
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 12_oper_planning. Создание вида Вида с характеристиками
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Вид номенклатуры с хар-ками"
	И я устанавливаю флаг 'Характеристики:'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 12_oper_planning. Создание вида Короба
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Короба"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'PCE'                      | 'шт'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип" я выбираю точное значение 'Короб'
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры
	
Сценарий: 12_oper_planning. Создание вида номенклатуры полуфабрикатов
	И Я начинаю создавать Вид Номенклатуры 'oper_planning_Полуфабрикаты'
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И я устанавливаю флаг 'Участвует в балансе жира и белка'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 12_oper_planning. Создание вида номенклатуры для материалов без серий
	И я начинаю создавать Вид Номенклатуры 'oper_planning_Материалы '
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И я нажимаю на кнопку 'Выбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры

Сценарий: 12_oper_planning. Создание вида номенклатуры для материалов с сериями
	И я начинаю создавать Вид Номенклатуры "oper_planning_Материалы с сериями"
	И я устанавливаю флаг 'Серии:'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Международное сокращение' | 'Наименование' |
		| 'KGM'                      | 'кг'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 12_oper_planning. Создание вида номенклатуры для ГП Сыра
	И я начинаю создавать Вид Номенклатуры "oper_planning_Сыр ГП"
	И я устанавливаю флаг 'Серии:'
	И я устанавливаю флаг 'Упаковки'
	И я меняю значение переключателя 'ИспользованиеУпаковокИндивидуальныйНабор' на 'Индивидуальный набор'
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		| 'Наименование' |
		| 'шт'           |
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно 'Вид номенклатуры (создание) *'
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Производство'
	И я перехожу к закладке "Шаблоны"
	И я нажимаю на кнопку 'Записать'
	И я нажимаю на кнопку 'Изменить...'
	Тогда открылось окно 'Редактирование формулы'
	И в поле 'Формула' я ввожу текст '[Номер] + \"\\" + Формат([ДатаВыпуска],\"ДФ=\'dd.MM.yy\'\")'
	И я нажимаю на кнопку 'Сохранить и закрыть'
	Тогда открылось окно 'oper_planning_Сыр ГП (Вид номенклатуры) *'
	И Я заканчиваю создавать Вид Номенклатуры	

Сценарий: 12_oper_planning. Создание вида номенклатур для заквасок
	И Я начинаю создавать Вид Номенклатуры "oper_planning_Закваски, красители и пр."
	И я устанавливаю флаг "Серии:"
	И я нажимаю кнопку выбора у поля "Ед. хранения"
	Тогда открылось окно 'Выберите единицу измерения'
	И в таблице "Список" я перехожу к строке:
		|'Наименование'|
		|'кг'|
	И я нажимаю на кнопку с именем 'ФормаВыбрать'
	Тогда открылось окно "Вид номенклатуры (создание) *"
	И я перехожу к закладке "Производство"
	И из выпадающего списка "Тип воспроизводства" я выбираю точное значение 'Покупка'
	И Я заканчиваю создавать Вид Номенклатуры
	И Я закрыл все окна клиентского приложения